import {HJInterNodeData, HJPosition} from "../../types/comTypes";
import { ref } from 'vue'
import { HJNodeType} from '../../types/comTypes'


export const dragNodes = ref<HJInterNodeData[]>(
    [
        {
            type: HJNodeType.workFlow,
            data: {
                label: "发起人",
                // handles: [
                //     {
                //         type: 'source',
                //         position: HJPosition.Bottom,
                //
                //     },
                //     {
                //         type: 'target',
                //         position: HJPosition.Top,
                //     }
                // ]
            }
        },
        {
            type: HJNodeType.workFlow,
            data: {
                label: "审核人",
            }
        },
        {
            type: HJNodeType.workFlow,
            data: {
                label: "抄送人",
            }
        },
        {
            type: HJNodeType.universal,
            data: {
                label: "测试系统",
                information: {
                    configName: 'ddd'
                }
            }
        },
    ]
)
